| Home | Libraries | People | FAQ | More

###### test::basic_stream::basic_stream (4 of 7 overloads)

Construct a stream.

###### Synopsis

    basic_stream(
        executor_type exec);

###### Description

The stream will be created in a disconnected state.

###### Parameters

Name | Description
--- | ---
`exec` | The `executor` object that the stream will use to dispatch handlers for any asynchronous operations.